#### libraries #####
library(psych)
library(lavaan)
library(semPlot)
library(dplyr)
library(lm.beta)
library(GPArotation)
options(max.print=1000000)

#### set wd ####
setwd("C:/Users/joela/OneDrive/Values Project/1500 Combined Sample")


#Load data
A2miced <- read.csv("A2miced.csv")

table(A2miced$X.1)





##### BEGIN PANAS-X CHANGE SCORES

attach(A2miced)

PANASX.Gen.NA <- PANASX.fear1 + PANASX.fear2 + PANASX.fear4 + PANASX.fear5 +
                 PANASX.hostil3 + PANASX.hostil2 + 
                 PANASX.guilt1 + PANASX.guilt2 +
                 PANASX.NAonly1 + PANASX.NAonly2

PANASX.Gen.PA <- PANASX.PAonly1 + PANASX.attent1 + PANASX.attent2 +
                 PANASX.attent4 + PANASX.jovi6 + PANASX.jovi5 +
                 PANASX.PAonly2 + PANASX.PAonly3 + PANASX.selfa1 + PANASX.selfa2
      

PANASX.postV.NA <- PANASX.postV.fear1 + PANASX.postV.fear2 + PANASX.postV.fear4 + PANASX.postV.fear5 +
                 PANASX.postV.hostil3 + PANASX.postV.hostil2 + 
                 PANASX.postV.guilt1 + PANASX.postV.guilt2 +
                 PANASX.postV.NAonly1 + PANASX.postV.NAonly2

PANASX.postV.PA <- PANASX.postV.PAonly1 + PANASX.postV.attent1 + PANASX.postV.attent2 +
                 PANASX.postV.attent4 + PANASX.postV.jovi6 + PANASX.postV.jovi5 +
                 PANASX.postV.PAonly2 + PANASX.postV.PAonly3 + PANASX.postV.selfa1 + PANASX.postV.selfa2


PANASX.postS.NA <- PANASX.postS.fear1 + PANASX.postS.fear2 + PANASX.postS.fear4 + PANASX.postS.fear5 +
                   PANASX.postS.hostil3 + PANASX.postS.hostil2 + 
                   PANASX.postS.guilt1 + PANASX.postS.guilt2 +
                   PANASX.postS.NAonly1 + PANASX.postS.NAonly2

PANASX.postS.PA <- PANASX.postS.PAonly1 + PANASX.postS.attent1 + PANASX.postS.attent2 +
                   PANASX.postS.attent4 + PANASX.postS.jovi6 + PANASX.postS.jovi5 +
                   PANASX.postS.PAonly2 + PANASX.postS.PAonly3 + PANASX.postS.selfa1 + PANASX.postS.selfa2








# t-tests

mean(PANASX.Gen.NA)
mean(PANASX.Gen.PA)

mean(PANASX.postV.NA)
mean(PANASX.postV.PA)

mean(PANASX.postS.NA)
mean(PANASX.postS.PA)

sd(PANASX.Gen.NA)
sd(PANASX.Gen.PA)

sd(PANASX.postV.NA)
sd(PANASX.postV.PA)

sd(PANASX.postS.NA)
sd(PANASX.postS.PA)

t.test(PANASX.Gen.NA, PANASX.postV.NA)
t.test(PANASX.Gen.PA, PANASX.postV.PA)

t.test(PANASX.Gen.NA, PANASX.postS.NA)
t.test(PANASX.Gen.PA, PANASX.postS.PA)








### Categorizing target viol/satis (incomplete)

# top violation (higher order)

stu1$TargetViol.SelfTransc=
  ifelse(stu1$TargetViolunin==1, 1,
         ifelse(stu1$TargetViolunic==1, 1,
                ifelse(stu1$TargetViolunit==1, 1,  
                       ifelse(stu1$TargetViolbenc==1, 1,
                              ifelse(stu1$TargetViolbend==1, 1, 0)))))


stu1$TargetViol.SelfEnh=
  ifelse(stu1$TargetViolachi==1, 1,
         ifelse(stu1$TargetViolpowd==1, 1,
                ifelse(stu1$TargetViolpowr==1, 1, 0)))


stu1$TargetViol.Open=
  ifelse(stu1$TargetViolsdt==1, 1,
         ifelse(stu1$TargetViolsda==1, 1,  
                ifelse(stu1$TargetViolstim==1, 1,
                       ifelse(stu1$TargetViolhedo==1, 1, 0))))


stu1$TargetViol.Conser=
  ifelse(stu1$TargetViolsecp==1, 1,
         ifelse(stu1$TargetViolsecs==1, 1,
                ifelse(stu1$TargetVioltrad==1, 1,  
                       ifelse(stu1$TargetViolconr==1, 1,
                              ifelse(stu1$TargetViolconi==1, 1, 0)))))

# top satisfaction (higher order)

stu1$TargetSatis.SelfTransc=
  ifelse(stu1$TargetSatisunin==1, 1,
         ifelse(stu1$TargetSatisunic==1, 1,
                ifelse(stu1$TargetSatisunit==1, 1,  
                       ifelse(stu1$TargetSatisbenc==1, 1,
                              ifelse(stu1$TargetSatisbend==1, 1, 0)))))


stu1$TargetSatis.SelfEnh=
  ifelse(stu1$TargetSatisachi==1, 1,
         ifelse(stu1$TargetSatispowd==1, 1,
                ifelse(stu1$TargetSatispowr==1, 1, 0)))


stu1$TargetSatis.Open=
  ifelse(stu1$TargetSatissdt==1, 1,
         ifelse(stu1$TargetSatissda==1, 1,  
                ifelse(stu1$TargetSatisstim==1, 1,
                       ifelse(stu1$TargetSatishedo==1, 1, 0))))


stu1$TargetSatis.Conser=
  ifelse(stu1$TargetSatissecp==1, 1,
         ifelse(stu1$TargetSatissecs==1, 1,
                ifelse(stu1$TargetSatistrad==1, 1,  
                       ifelse(stu1$TargetSatisconr==1, 1,
                              ifelse(stu1$TargetSatisconi==1, 1, 0)))))

###